summaryrefslogtreecommitdiff
path: root/debian/postrm
diff options
context:
space:
mode:
authorstephanchrst <stephanchrst@gmail.com>2022-05-10 21:51:50 +0700
committerstephanchrst <stephanchrst@gmail.com>2022-05-10 21:51:50 +0700
commit3751379f1e9a4c215fb6eb898b4ccc67659b9ace (patch)
treea44932296ef4a9b71d5f010906253d8c53727726 /debian/postrm
parent0a15094050bfde69a06d6eff798e9a8ddf2b8c21 (diff)
initial commit 2
Diffstat (limited to 'debian/postrm')
-rw-r--r--debian/postrm28
1 files changed, 28 insertions, 0 deletions
diff --git a/debian/postrm b/debian/postrm
new file mode 100644
index 00000000..274a488c
--- /dev/null
+++ b/debian/postrm
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+set -e
+
+ODOO_LIB_DIR=/var/lib/odoo
+ODOO_USER="odoo"
+ODOO_GROUP="odoo"
+
+case "${1}" in
+ remove)
+ deluser --quiet --system $ODOO_USER || true
+ delgroup --quiet --system --only-if-empty $ODOO_GROUP || true
+ ;;
+
+ purge)
+ if [ -d "$ODOO_LIB_DIR" ]; then
+ rm -rf $ODOO_LIB_DIR
+ fi
+ ;;
+
+ upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+esac
+
+#DEBHELPER#
+
+exit 0